package com.njcn.csdevice.service;


import com.njcn.csdevice.param.LineCountEvaluateParam;
import com.njcn.csdevice.pojo.dto.PqsCommunicateDto;
import com.njcn.influx.pojo.po.PqsCommunicate;

import java.util.List;

/**
 * @Description:
 * @Author: wr
 * @Date: 2025/3/6 10:22
 */
public interface ICsCommunicateService {

    /**
     * 取出最新装置数据
     * @param lineParam
     * @return
     */
    List<PqsCommunicateDto> getRawDataLatest(LineCountEvaluateParam lineParam);

    /**
     * 取出第一条装置数据
     * @param lineParam
     * @return
     */
    List<PqsCommunicateDto> getRawDataOne(LineCountEvaluateParam lineParam);

    /**
     * 获取时间范围数据
     * @param lineParam
     * @return
     */
    List<PqsCommunicateDto> getRawData(LineCountEvaluateParam lineParam);

    List<PqsCommunicateDto> getRawData2(LineCountEvaluateParam lineParam);

    /**
     *是否有当天最后一条数据
     * @param lineParam
     * @return
     */
    List<PqsCommunicateDto> getRawDataEnd(LineCountEvaluateParam lineParam);

    void insertion(PqsCommunicateDto pqsCommunicateDto);
}
